petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetLabelValue

Get the value in a Sieve Label for the given point, with 0 as the default

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetLabelValue(DM dm, const char name[], PetscInt point, PetscInt *value)

Not Collective Many br

### Input Parameters

| dm | - The DM object Many br
| name | - The label name Many br
| point | - The mesh point Many br

### Output Parameter

value -The label value for this point, or -1 if the point is not in the label Many br

Many br

### Keywords

mesh

### See Also

DMLabelGetValue(), DMSetLabelValue(), DMGetStratumIS()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html